API referenceEndpoints

Restore a document version

Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/sources/inbound/http.go`.

POST/v1/sources/{id}/documents/{document}/versions/{documentVersion}/restore

Requires an authenticated tenant principal. Generated from the production route registered in internal/features/sources/inbound/http.go.

Authorization

bearerAuth
AuthorizationBearer <token>

Engine-issued API key or tenant-signed JWT.

In: header

Path Parameters

id*string
Formatuuid
document*string
documentVersion*string

Header Parameters

Idempotency-Key*string

Required, at most 200 bytes. A replay with the same key restoring the same {document} and {documentVersion} with the same credit_budget_micro_usd returns the version the key claimed, regardless of expected_source_revision; the same key with a different document, document version or budget is 409 {"error":{"type":"conflict","code":"idempotency_key_reuse","message":"this key was used for different input"}}.

Lengthlength <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/sources/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents/string/versions/string/restore" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{}'
{}